package Gm_Constants;

###############################################################################
# Greymatter 1.8.1                            
# Copyright (c)2000-2008, The Greymatter team 
# http://greymatterforum.proboards82.com/     
# By possessing this software, you agree not to hold the author responsible for 
# any problems that may arise from your installation or usage of Greymatter 
# itself, or from any content generated by yourself or others through the use of 
# this program.  You <I>may</I> freely modify and redistribute this program, so 
# long as every copyright notice (including in this manual and in the Greymatter 
# code) remains fully intact.  Finally, you may <I>not</I> sell or in any way 
# make a financial profit from this program, either in original or modified form.
# Your possession of this software signifies that you agree to these terms; 
# please delete your copy of this software if you don't agree to these terms.
# Original Creators Noah Grey
###############################################################################

use strict;
use warnings;

use constant GM_VERSION => '1.8.1'; # first release of 2008
use constant GM_FORUM => 'http://greymatterforum.proboards82.com';

use constant GM_COOKIE_PW => 'gm_password';

use constant GM_ROW_COLOR => '#fafaff';
use constant GM_ALT_COLOR => '#eef8ff';
use constant GM_PAGE_SIZE => 100; # Maybe this should be a config ... later

## NOTE that SHORT is a three letter abbreviation - These need to be translated
use constant DAYS_SHORT => qw(Sun Mon Tue Wed Thu Fri Sat);
use constant DAYS => qw(Sunday Monday Tuesday Wednesday Thursday Friday Saturday);
use constant MONTHS_SHORT => qw(Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec);
use constant MONTHS => qw(January February March April May June July August September October November December);

## Tags
use constant TAGS => qw({{header}} {{footer}} {{sidebar}} {{log {{calendar {{comment {{entry link}} karma}} {{author {{day {{month {{year {{hour {{minute {{second {{weekday {{militaryhour}} {{ampm {{timezone}} {{link {{email {{previous {{next webpath}} {{gm {{emoticonspath}}); 

## Boolean defs/flags
use constant YES => 'yes';
use constant NO => 'no';
use constant EMPTY => '';
use constant TRUE => '1';
use constant FALSE => '0';

## Booleans to factor out TODO: FACTOR OUT BECAUSE ALREADY HAVE TRUE/FALSE/YES/NO
use constant Y => 'Y';
use constant N => 'N';
use constant O => 'O';

use constant NEITHER => 'neither';
use constant BOTH => 'both';
use constant NONE => 'none';
use constant ALL => 'all';
use constant MORE => 'more';
use constant OPEN => 'open';
use constant CLOSED => 'closed';

use constant ENTRIES => 'entries';
use constant KARMA => 'karma';
use constant COMMENTS => 'comments';
use constant MAIN => 'main';

use constant WEEK => 'week';
use constant MONTH => 'month';

use constant ASCENDING => 'ascending';
use constant DESCENDING => 'descending';



### Language Constants ###############################################
# NOTE these are the constants to signify a particular string to use
# Be sure not to use DOUBLE quotes, single quotes only!
# and don't translate them!  Well you can, but it wouldn't show in the UI

use constant DEFAULT_LANG => 'en_US';

## Generic stuff
use constant ADD => 'add';
use constant DELETE => 'delete';
use constant EDIT => 'edit';
use constant ACTION => 'action';
use constant NAME => 'name';
use constant PW => 'pw';
use constant RETURN_MAIN_MENU => 'return_main_menu';

use constant SEARCHING => 'searching';
use constant COMMENTING => 'commenting';
use constant ACCESS_ADMIN => 'access_admin';

use constant SECTION_NO_ACCESS => 'section_no_access';  ## for cplog logging
use constant SECTION_ACCESS_DENY => 'section_access_deny';

## Bancheck
use constant BANNED_ACCESS => 'banned_access';  ## for cplog logging
use constant BANNED_DENY => 'banned_deny';

## Login
use constant LOGIN_NO_ACCESS => 'login_no_access';  ## for cplog logging
use constant LOGIN_ACCESS_DENY => 'login_access_deny';
use constant LOGIN_TITLE => 'login_title';
use constant LOGIN_AUTHOR => 'login_author';
use constant LOGIN_ENTER => 'login_enter';
use constant LOGIN_INVALID_LOG => 'login_invalid_log';  ## for cplog logging
use constant LOGIN_INVALID => 'login_invalid';
use constant LOGIN_BAD_NAME_LOG => 'login_bad_name_log';  ## for cplog logging
use constant LOGIN_BAD_NAME => 'login_bad_name';
use constant LOGIN_BAD_PW_LOG => 'login_bad_pw_log';  ## for cplog logging
use constant LOGIN_BAD_PW => 'login_bad_pw';
use constant LOGIN_LOG => 'login_log';  ## for cplog logging
use constant LOGIN_WELCOME => 'login_message';
use constant LOGIN_FIRST => 'login_first';
use constant RELOGIN => 'relogin';

## Frontpage
use constant FRONTPAGE_TITLE => 'frontpage_title';
use constant FRONTPAGE_ADDNEW => 'frontpage_addnew';
use constant FRONTPAGE_ADDNEW_DESC => 'frontpage_addnew_desc';
use constant FRONTPAGE_CONFIG => 'frontpage_config';
use constant FRONTPAGE_CONFIG_DESC => 'frontpage_config_desc';
use constant FRONTPAGE_EDIT => 'frontpage_edit';
use constant FRONTPAGE_EDIT_DESC => 'frontpage_edit_desc';
use constant FRONTPAGE_TEMPL => 'frontpage_template';
use constant FRONTPAGE_TEMPL_DESC => 'frontpage_template_desc';
use constant FRONTPAGE_AUTHORS => 'frontpage_authors';
use constant FRONTPAGE_AUTHORS_DESC => 'frontpage_authors_desc';
use constant FRONTPAGE_REBUILD => 'frontpage_rebuild';
use constant FRONTPAGE_REBUILD_DESC => 'frontpage_rebuild_desc';
use constant FRONTPAGE_CPLOG => 'frontpage_cplog';
use constant FRONTPAGE_CPLOG_DESC => 'frontpage_cplog_desc';
use constant FRONTPAGE_BMLETS => 'frontpage_bmlets';
use constant FRONTPAGE_BMLETS_DESC => 'frontpage_bmlets_desc';
use constant FRONTPAGE_UPLOAD => 'frontpage_upload';
use constant FRONTPAGE_UPLOAD_DESC => 'frontpage_upload_desc';
use constant FRONTPAGE_BANNED => 'frontpage_banned';
use constant FRONTPAGE_BANNED_DESC => 'frontpage_banned_desc';
use constant FRONTPAGE_RELOGIN => 'frontpage_relogin';
use constant FRONTPAGE_RELOGIN_DESC => 'frontpage_relogin_desc';
use constant FRONTPAGE_VISIT => 'frontpage_visit';
use constant FRONTPAGE_VISIT_DESC => 'frontpage_visit_desc';

## Cp Log Text Labels
use constant CPLOG_NO_ACCESS => 'cplog_no_access';  ## for cplog logging
use constant CPLOG_ACCESS_DENY => 'cplog_access_deny';
use constant CPLOG_TITLE => 'cplog_title';
use constant CPLOG_INFO_TITLE => 'cplog_info_title';
use constant CPLOG_INFO1 => 'cplog_info1';
use constant CPLOG_INFO2 => 'cplog_info2';
use constant CPLOG_INFO3 => 'cplog_info3';
use constant CPLOG_RESET => 'cplog_reset';
use constant CPLOG_CLEARED => 'cplog_cleared';  ## for cplog logging
use constant CPLOG_CLEAR_CONFIRM => 'cplog_clear_confirm';

## Ban IP Text labels
use constant BANIP_NO_ACCESS => 'banip_no_access';  ## for cplog logging
use constant BANIP_ACCESS_DENY => 'banip_access_deny';
use constant BANIP_TITLE => 'banip_title';
use constant BANIP_INFO => 'banip_info';
use constant BANIP_IP => 'banip_ip';
use constant BANIP_HOST => 'banip_host';
use constant BANIP_ADD_TITLE => 'banip_add_title';
use constant BANIP_ADD_NAME => 'banip_add_name';
use constant BANIP_ENTER_IP => 'banip_enter_ip';
use constant BANIP_DUPE_IP => 'banip_dupe_ip';
use constant BANIP_ADDED => 'banip_added';  ## for cplog logging
use constant BANIP_ADD_CONFIRM => 'banip_add_confirm';
use constant BANIP_SELECT_IP => 'banip_select_ip';
use constant BANIP_DELETED => 'banip_deleted';  ## for cplog logging
use constant BANIP_DELETE_CONFIRM => 'banip_delete_confirm';

## Authors Text labels
use constant AUTHORS_NO_ACCESS => 'authors_no_access';  ## for cplog logging
use constant AUTHORS_ACCESS_DENY => 'authors_access_deny';
use constant AUTHORS_ALICE_ALERT => 'authors_alice_alert';
use constant AUTHORS_TITLE => 'authors_title';
use constant AUTHORS_INFO => 'authors_info';
use constant AUTHORS_PRIVS => 'authors_privs';
use constant AUTHORS_ADD_TITLE => 'authors_add_title';
use constant AUTHORS_ADD_INFO => 'authors_add_info';
use constant AUTHORS_EMAIL => 'authors_email';
use constant AUTHORS_HOMEPAGE => 'authors_homepage';
use constant AUTHORS_DEF_ACCESS => 'authors_def_access';
use constant AUTHORS_ALL_ACCESS => 'authors_all_access';
use constant AUTHORS_NO_ACCESS => 'authors_no_access';
use constant AUTHORS_OWN_ACCESS => 'authors_own_access';
use constant AUTHORS_OWN_SHORT => 'authors_own_short';
use constant AUTHORS_CUSTOM_ACCESS => 'authors_custom_access';
use constant AUTHORS_ENTER_NAME_PW => 'authors_enter_name_pw';
use constant AUTHORS_NOWS_NAME_PW => 'authors_nows_name_pw';
use constant AUTHORS_BAD_NAME_PW => 'authors_bad_name_pw';
use constant AUTHORS_DUPE_NAME => 'authors_dupe_name';
use constant AUTHORS_DUPE_LOG => 'authors_dupe_log';  ## for cplog logging
use constant AUTHORS_ADD_LOG => 'authors_reg_log';  ## for cplog logging
use constant AUTHORS_ADD_CONFIRM => 'authors_add_confirm';
use constant AUTHORS_SELECT_NAME => 'authors_select_name';
use constant AUTHORS_NO_DELETE => 'authors_no_delete';
use constant AUTHORS_DELETE_LOG => 'authors_delete_log';  ## for cplog logging
use constant AUTHORS_DELETE_CONFIRM => 'authors_delete_confirm';
use constant AUTHORS_EDIT_TITLE => 'authors_edit_title';
use constant AUTHORS_STATS => 'authors_stats';
use constant AUTHORS_CAN_POST => 'authors_can_post';
use constant AUTHORS_CAN_EDIT => 'authors_can_edit';
use constant AUTHORS_ONLY_OWN => 'authors_only_own';
use constant AUTHORS_CAN_CONFIG => 'authors_can_config';
use constant AUTHORS_CAN_TEMPLATES => 'authors_can_templates';
use constant AUTHORS_ONLY_HEAD => 'authors_only_head';
use constant AUTHORS_CAN_AUTHORS => 'authors_can_authors';
use constant AUTHORS_CAN_REBUILD => 'authors_can_rebuild';
use constant AUTHORS_CAN_CPLOG => 'authors_can_cplog';
use constant AUTHORS_CAN_BM => 'authors_can_bm';
use constant AUTHORS_CAN_UPLOAD => 'authors_can_upload';
use constant AUTHORS_CAN_LOGIN => 'authors_can_login';
use constant AUTHORS_SAVE_CHANGES => 'authors_save_changes';
use constant AUTHORS_OVERWRITE_LOG => 'authors_overwrite_log';  ## for cplog logging
use constant AUTHORS_OVERWRITE_NAME => 'authors_overwrite_name';
use constant AUTHORS_NEWNAME_LOG => 'authors_newname_log';
use constant AUTHORS_NO_CHANGES => 'authors_no_changes';
use constant AUTHORS_EDIT_LOG => 'authors_edit_log';  ## for cplog logging
use constant AUTHORS_EDIT_CONFIRM => 'authors_edit_confirm';

## Entries Text labels
use constant ENTRIES_NO_ACCESS => 'entries_no_access';  ## for cplog logging
use constant ENTRIES_ACCESS_DENY => 'entries_access_deny';








1;
